Education Verification API

AI Tools

Automate employee education background check with easy to integrate API


Introduction

Education verification API is one among the suite of background check APIs offered by the Attestr Platform. This is an asynchronous API which accepts the certificate details as input. Once requested, the documents are verified by our back office team in co-ordination with the concerned board / institute / university and the result is made available through API and webhooks offering an end to end automation.

The legacy data processing model is being formally deprecated.

In order to ensure continued compliance with the Digital Personal Data Protection Act, 2023 (DPDP Act), we are implementing DPDP V3 (Consent-Driven Processing). Under this framework, clients are required to obtain explicit, informed, and verifiable consent from the data principal prior to accessing, processing, viewing, or storing any personal data through the platform. This regulatory transition may require modifications to existing configurations and workflows. Clients are advised to review and update their implementations to ensure ongoing compliance with applicable data protection obligations. Further information regarding this transition can be enquired here. Learn more about this change here.

API Details

Request

Type

URL

POST

https://api.attestr.com/api/{version}/public/factx/async/education

Request Header Parameters

Type

Name

Value / Description

Optional

Min Version

Max Version

String

Content-Type

application/json

Required

v1


String

Authorization

Basic {authToken}

Required

v1


Info

If you do not have the authentication token, please refer to Register App to generate one.

Request Body Parameters

Type

Name

Description

Optional (default)

Min Version

Max Version

String

tag

Unique employee Id / reference id to be passed by the client

Required

v1


String

level

One of the following values representing the level of education - SSC, HSC, GRADUATE, POST_GRADUATE, DOCTORATE, OTHER, HIGHEST

Required

v1


String

course

Name of the degree

Required

v1


String

courseName

Specialization

Required

v1


String

reg

Registration / Roll no

Required

v1


Number

startMonth

Any number from 1 (Jan) to 12 (Dec)

Required

v1


Number

startYear

4 digit year number greater than 1900

Required

v1


Boolean

ended

Boolean representing whether course has been completed or still in progress

Required

v1


Number

endedMonth

Any number from 1 (Jan) to 12 (Dec). Required if ended is set as true, else set as null.

Conditional

v1


Number

endedYear

4 digit year number greater than 1900. Required if ended is set as true, else set as null.

Conditional

v1


String[]

documents

Array of supporting document Ids. This includes mark sheets, certificates and other related documents. To generate document Ids, first upload each document using Document Upload

Required

v1


Boolean

webhook

Boolean flag to be used for triggering webhooks once record is updated. More details below.

Optional

v1


Sample Request

{ "tag": "ABCD1234", "level": "GRADUATE", "course": "B.Tech", "courseName": "Electronics And Communication", "reg": "03401243543", "startMonth": 1, "startYear": 2012, "ended": true, "endedMonth": 3, "endedYear": 2016, "documents": ['MX0HDRT3435HF', 'MX0HDHGY6475HF'] }

Response Details

Http Status 200

Key

Description

Type

Min Version

Max Version

_id

Unique request Id to be used later for querying the result

String

v1


number

Unique human readable number to be used for any reference later

String

v1


{ "_id": "AR02zfeuv2iz5ksij09nf", "number": "3801-575765-9695" }

Querying Education Check Result


Get Education Async Request Outcome API

Type

URL

Min Version

Max Version

GET

https://api.attestr.com/api/{version}/public/async/<asyncId>

v1


Request Header Parameters

Type

Name

Value / Description

Optional

Min Version

Max Version

String

Content-Type

application/json

Required

v1


String

Authorization

Basic {authToken}

Required

v1


Request URL Parameters

Name

Description

Min Version

Max Version

asyncId

Replace <asyncId> in the URL with the _id received in the education verification API response as described above.

v1


Response

Http Status 200

Key

Description

Type

Min Version

Max Version

_id

Request Id as queried in the URL

String

v1


number

Request number

String

v1


requestId

Unique ID used by Attestr for request tracing purposes

String

v1


status

Status of the request. Possible values are - COMPLETED, INITIATED, ERRORED

String

v1


input

The input details used for verification

String

v1


output

Education check output object. Details described as below. Null if status is errored or initiated.

EducationCheckOutputRecord

v1


error

Error object if the operation ran into errors, null otherwise. Null if status is completed or initiated.

String

v1


created

Unix timestamp when the request was placed.

Number

v1


updated

Unix timestamp when the request was last updated. Null if status is initiated.

Number

v1


signature

Signature generated using the output and client secret. Used for validating the accuracy of data. Null if status is errored or initiated.

String

v1


Education Check Output Record

Key

Description

Type

Min Version

Max Version

status

One of Clear, Alert, False, MoreInfo, NoResult

String

v1


mode

Mode of verification e.g Online, Offline, Physical, Email, Telephone etc

String

v1


verified

Date on which verified data was received from the institution. For online verification, it is the date on which verification was performed. DD-MM-YYYY

Date

v1


verifier

Name of the verifying institution / board / university

String

v1


authority

Name of the individual or department that verified the document

String

v1


description

Description text provided by Attestr back office for each verification. This text is particularly useful for alert and false cases. HTML formatted string.

String

v1


documents

List of supporting verified letter, documents as received from the institute

Array[String]

v1


voiceRecords

In case the verification has been performed by an official over the phone, it contains an array of voice recording media Ids. In most cases, this will be null.

Array[String]

v1


Sample Output

{ "status": "Clear", "documents": [ "MX1xRollD8Szmm4iI7" ], "voiceRecords": null, "description": "We have verified the details on the Board of secondary education Andhra Pradesh website, details are found to be correct. The roll number and marks obtained are matching the provided documents. The digital document as downloaded from the site and a screenshot has been attached as an evidence.", "verifier": "Board of Secondary Education Andhra Pradesh", "authority": "Mr. S. N. Reddy, Registrar", "verified": "09-02-2022", "mode": "Online" }

Error Response

Parameter

Type

Description

code

Number

Unique error codes for different errors. Always available.

message

String

Error message describing the error. Always Available.

details

String

Detail error message. Available only for certain types of errors.

Error Codes

HTTP Status

Error Code

Error Message

400

4001

Malformed data or missing required parameter values

400

4005

Operation could not be performed due to low credits balance

401

4016

Invalid client authorization

403

4031

Unauthorized access

403

4035

Requested service is not provisioned for your account

403

4039

Client's IP address is not whitelisted

403

4035

Requested service is not provisioned for your account

429

4291

Maximum account rate limit exceeded

429

4292

Maximum API rate limit exceeded

429

4293

Maximum account daily limit exceeded

429

4294

Maximum API daily limit exceeded

500

5001

Request could not be processed

Sample Error Response

{ "code": 4001, "message": "Malformed data or missing required parameter values" }

Webhooks

Education check supports the following two webhook events.

See Webhooks for more details on how to register webhooks.

  1. async.completed

  2. async.errored

To enable webhooks, the API input parameter webhook must be set as true while initiating the request.

Webhook Event Payload

Key

Type

Description

Min Version

Max Version

_id

String

ID of the async request. This is same as received in the output of Person / Business search API as described above.

v1


requestId

String

Unique request ID for internal tracing purposes.

v1


status

String

One of INITIATED, COMPLETED OR ERRORED

v1


output

Object

Education Check output record same as output key described in Querying Result API above.



error

Object

Error object if the check runs into errors. The structure of this is same as the Error Response object described above.

v1


signature

String

generated using hmacHexDigest of output object and client secret. Null if archived.



Sample Webhook Payload

{ "event": "async.completed", "payload": { "_id": "AR0Z__sb-A9dvapX01", "requestId": "780602a8-a0eb-4d3d-a1db-e66883bafd37", "status": "COMPLETED", "output": { "status": "Clear", "documents": [ "MX1XazEe-0KHLZcLsh", "MX1Nr7vBssr6IOkc65" ], "voiceRecords": null, "description": "We have validated the details on the Maharashtra state board website and found the provided document to be genuine. All the details including passing year, roll number, total marks and grade have been found to be matching with those available on the portal. The screenshot of the report is attached as an evidence", "verifier": "Maharashtra state board", "authority": "https://boardmarksheet.maharashtra.gov.in/emarksheet/SSCINPUT.jsp", "verified": "16-08-2022", "mode": "Online" }, "error": null, "signature": "430cc40662bd35d1872e301a6682aa30aff09cdb204c1004af229100a5312add" } }


  Last updated